<template>
	<footer class="footer-section">
		<div class="footer-top">
			<div class="container" style="display:flex;justify-content:space-between">
				<div class="footer-logo">
					<router-link :to="{ name: 'home' }"><img loading="lazy" :src="getUrl('public/images/default/footer_logo2.svg')"  alt="preloader" class="img-fluid" />
					<div class="footer-text">our tried-and-tested guide. We'll walk you through all the different ways to make different varieties of rice, and ensure it never comes out mushy,
						 gummy, or burnt. Looking to cook brown rice specifically? Check out our story How to Cook Brown Rice.</div> </router-link>
				</div>
				<div class="row" style="display:flex;justify-content:space-between">
					<!-- <div class="col-sm-6 col-md-6" v-if="settings.seller_system == 1 && !authUser" :class="[classObj()]">
						<div class="footer-widget widget-border" v-if="!authUser && settings.seller_system == 1">
							<h3>{{ lang.seller_options }}</h3>
							<ul class="global-list">
								<li>
									<router-link :to="{ name: 'login' }">{{ lang.login_as_seller }}</router-link>
								</li>
								<li>
									<router-link :to="{
										name: 'seller-register',
										params: { type: 'seller' },
									}">{{ lang.signup_as_seller }}
									</router-link>
								</li>
							</ul>
						</div>
					</div> -->
					<div :class="[classObj()]" class="col-sm-6 col-md-6 col-lg-3" >
						<div class="footer-widget widget-border">
							<h3>{{ lang.my_account }}</h3>
							<ul class="global-list" v-if="!authUser">
								<li>
									<router-link :to="{ name: 'login' }">{{ lang.Login }}</router-link>
								</li>
								<li>
									<router-link :to="{ name: 'register' }">{{ lang.create_account }}</router-link>
								</li>
							</ul>
							<ul class="global-list" v-if="authUser && authUser.user_type == 'customer'">
								<li>
									<router-link :to="{ name: 'dashboard' }">{{ lang.my_profile }}</router-link>
								</li>
								<li>
									<router-link :to="{ name: 'change.password' }">{{ lang.change_password }} </router-link>
								</li>
								<li>
									<router-link :to="{ name: 'order.history' }">{{ lang.order_history }}</router-link>
								</li>
								<li>
									<router-link :to="{ name: 'wishlist' }">{{ lang.my_wishlist }}</router-link>
								</li>
								<li>
									<router-link :to="{ name: 'addresses' }">{{ lang.addresses }}</router-link>
								</li>
								<li>
									<router-link :to="{ name: 'track.order' }">{{ lang.track_order }}</router-link>
								</li>
								<li>
									<router-link :to="{ name: 'gift.voucher' }">{{ lang.gift_voucher }}</router-link>
								</li>
							</ul>
							<ul class="global-list" v-else-if="authUser && (authUser.user_type == 'admin' || authUser.user_type == 'staff')">
								<li
									><a target="_blank" :href="getUrl('admin/dashboard')">{{ lang.dashboard }}</a></li
								>
								<li
									><a target="_blank" :href="getUrl('admin/profile')">{{ lang.my_profile }}</a></li
								>
								<li
									><a target="_blank" :href="getUrl('admin/password-change')">{{ lang.change_password }}</a></li
								>
							</ul>
							<ul class="global-list" v-else-if="authUser && authUser.user_type == 'seller'">
								<li
									><a target="_blank" :href="getUrl('seller/dashboard')">{{ lang.dashboard }}</a></li
								>
								<li
									><a target="_blank" :href="getUrl('seller/profile')">{{ lang.my_profile }}</a></li
								>
								<li
									><a target="_blank" :href="getUrl('seller/password-change')">{{ lang.change_password }}</a></li
								>
							</ul>
						</div>
					</div>
					<div class="col-sm-6 col-md-6 col-lg-3" :class="[classObj()]">
						<div class="footer-widget widget-border">
							<h3>{{ lang.useful_links }}</h3>
							<ul class="global-list" v-for="(link, i) in usefulLinks" :key="i">
								<li>
									<router-link :to="link.url">{{ link.label }}</router-link>
								</li>
							</ul>
						</div>
					</div>
					<div class="col-sm-6 col-md-6 col-lg-3">
						<div class="footer-widget widget-border">
							<h3>{{ lang.contact_us }}</h3>
							<div class="address">
								<ul class="global-list">
									<li>
										<h4><span class="mdi mdi-home-outline">
											<svg width="20" height="20" viewBox="0 0 51 51" fill="none" xmlns="http://www.w3.org/2000/svg">
												<path d="M9.05 33.3333C4.69929 34.9922 2 37.3035 2 39.8603C2 44.9081 12.5213 49 25.5 49C38.4788 49 49 44.9081 49 39.8603C49 37.3035 46.3006 34.9922 41.95 33.3333M25.5 17.6667H25.5261M41.1667 17.6667C41.1667 28.2774 29.4167 33.3333 25.5 41.1667C21.5833 33.3333 9.83333 28.2774 9.83333 17.6667C9.83333 9.0142 16.8475 2 25.5 2C34.1524 2 41.1667 9.0142 41.1667 17.6667ZM28.1111 17.6667C28.1111 19.1087 26.9421 20.2778 25.5 20.2778C24.0579 20.2778 22.8889 19.1087 22.8889 17.6667C22.8889 16.2246 24.0579 15.0556 25.5 15.0556C26.9421 15.0556 28.1111 16.2246 28.1111 17.6667Z" stroke="white" stroke-width="3" stroke-linecap="round" stroke-linejoin="round"/>
											</svg>
										</span>{{ lang.address }}</h4>
										<p>{{ settings.footer_contact_address }}</p>
									</li>
									<li>
										<h4><span class="mdi mdi-email-outline">
											<svg width="20" height="20" viewBox="0 0 51 48" fill="none" xmlns="http://www.w3.org/2000/svg">
												<path d="M4.61111 43.3555L17.6667 30.133M46.3889 43.3555L33.3333 30.133M2.07395 19.555L20.8642 32.2925C22.5393 33.4236 23.3769 33.9889 24.2822 34.2087C25.082 34.4028 25.916 34.4028 26.716 34.2087C27.6213 33.9889 28.4589 33.4236 30.1339 32.2925L48.9243 19.555M21.0562 3.86992L5.91181 13.5025C4.48371 14.4108 3.76968 14.8649 3.25177 15.4789C2.79339 16.0223 2.44848 16.6541 2.2379 17.3363C2 18.107 2 18.9609 2 20.6689V37.5376C2 40.4997 2 41.9809 2.5692 43.1122C3.06985 44.1073 3.86875 44.9165 4.85139 45.4235C5.96847 46 7.43085 46 10.3556 46H40.6444C43.5691 46 45.0316 46 46.1487 45.4235C47.1312 44.9165 47.9302 44.1073 48.4308 43.1122C49 41.9809 49 40.4997 49 37.5376V20.6689C49 18.9609 49 18.107 48.7621 17.3363C48.5514 16.6541 48.2067 16.0223 47.7482 15.4789C47.2304 14.8649 46.5163 14.4108 45.0883 13.5025L29.9438 3.86992C28.332 2.84483 27.5262 2.3323 26.6617 2.13251C25.8969 1.95583 25.1031 1.95583 24.3383 2.13251C23.4738 2.3323 22.668 2.84483 21.0562 3.86992Z" stroke="white" stroke-width="3" stroke-linecap="round" stroke-linejoin="round"/>
											</svg>
										</span>{{ lang.email }}</h4>
										<a :href="'mailto:' + settings.footer_contact_email">{{ settings.footer_contact_email }}</a>
									</li>
									<li>
										<h4><span class="mdi mdi-phone-outline">
											<svg width="20" height="20" viewBox="0 0 51 51" fill="none" xmlns="http://www.w3.org/2000/svg">
												<path d="M2 8.52778C2 30.8799 20.1201 49 42.4722 49C43.4807 49 44.4805 48.9632 45.4705 48.8906C46.6066 48.8073 47.1747 48.7658 47.6918 48.4681C48.12 48.2216 48.5262 47.7845 48.7408 47.3393C49 46.802 49 46.175 49 44.9214V37.5652C49 36.5108 49 35.9836 48.8265 35.5319C48.6732 35.1327 48.4243 34.7773 48.1015 34.4968C47.7361 34.1793 47.2407 33.9992 46.25 33.6388L37.8765 30.594C36.7238 30.1749 36.1474 29.9653 35.6006 30.0008C35.1184 30.0321 34.6543 30.1969 34.2601 30.4763C33.813 30.793 33.4975 31.3189 32.8664 32.3709L30.7222 35.9444C23.803 32.8109 18.1938 27.1944 15.0556 20.2778L18.6291 18.1336C19.6811 17.5025 20.207 17.187 20.5237 16.7399C20.8031 16.3457 20.9679 15.8816 20.9992 15.3994C21.0347 14.8526 20.8251 14.2762 20.406 13.1235L17.3612 4.75005C17.0008 3.75926 16.8207 3.26386 16.5032 2.89848C16.2227 2.57572 15.8673 2.32678 15.4681 2.17351C15.0164 2 14.4892 2 13.4348 2H6.07856C4.82496 2 4.19803 2 3.66066 2.25915C3.21547 2.47381 2.77837 2.87997 2.53188 3.30824C2.23421 3.82535 2.1927 4.3934 2.10941 5.52952C2.03682 6.51947 2 7.51931 2 8.52778Z" stroke="white" stroke-width="3" stroke-linecap="round" stroke-linejoin="round"/>
											</svg>

										</span>{{ lang.phone }}</h4>
										<a :href="'tel:' + settings.footer_contact_phone">{{ settings.footer_contact_phone }}</a>
									</li>
								</ul>
							</div>
						</div>
					</div>
					<!-- <div class="col-sm-12 col-md-12 col-lg-3">
						<div class="footer-widget">
							<div v-html="settings.about_description"></div>
							<div class="social" v-if="settings.show_social_links && settings.show_social_links == 1">
								<ul class="global-list">
									<li v-if="settings.facebook_link">
										<a target="_blank" :href="settings.facebook_link"><span class="mdi mdi-name mdi-facebook"></span></a>
									</li>
									<li v-if="settings.twitter_link">
										<a target="_blank" :href="settings.twitter_link"><span class="mdi mdi-name mdi-twitter"></span></a>
									</li>
									<li v-if="settings.linkedin_link">
										<a target="_blank" :href="settings.linkedin_link"><span class="mdi mdi-linkedin"></span></a>
									</li>
									<li v-if="settings.instagram_link">
										<a target="_blank" :href="settings.instagram_link"><span class="mdi mdi-instagram"></span></a>
									</li>
									<li v-if="settings.youtube_link">
										<a target="_blank" :href="settings.youtube_link"><span class="mdi mdi-youtube"></span></a>
									</li>
								</ul>
							</div>
						</div>
					</div> -->
				</div><!-- /.row -->
			</div><!-- /.container -->
		</div><!-- /.footer-top -->

		<!-- <div class="footer-social">
			<div class="container">
				<ul class="global-list">
					<li v-for="(menu, i) in footerMenu" :key="i">
						<a v-if="urlCheck(menu.url)" :href="menu.url">{{ menu.label }}</a>
						<router-link :to="menu.url">{{ menu.label }}</router-link>
					</li>
				</ul>
			</div>
		</div> -->

		<div class="footer-bottom">
			<div class="container">
				<div class="footer-bottom-content">
					<!-- <div class="copyright">
						<p>{{ settings.copyright }}</p>
					</div> -->
					<div class="payment-card">
						<ul class="global-list">
							<li v-if="settings.visa_pay_banner"><img :src="getUrl('public/images/payment-method/visa.svg')" alt="visa_pay_banner" class="img-fluid footer-payment-icon" /></li>
							<li v-if="settings.master_card_pay_banner"><img :src="getUrl('public/images/payment-method/master-card.svg')" alt="master_card_pay_banner" class="img-fluid footer-payment-icon" /></li>
							<li v-if="settings.american_express_pay_banner"><img :src="getUrl('public/images/payment-method/american-express.svg')" alt="american_express_pay_banner" class="img-fluid footer-payment-icon" /> </li>
							<li v-if="settings.paypal_payment_banner"><img :src="getUrl('public/images/payment-method/paypal.svg')" alt="paypal_payment_banner" class="img-fluid footer-payment-icon" /></li>
							<li v-if="settings.apple_pay_banner"><img :src="getUrl('public/images/payment-method/apple-pay.svg')" alt="apple_pay_banner" class="img-fluid footer-payment-icon" /></li>
							<li v-if="settings.amazon_pay_banner"><img :src="getUrl('public/images/payment-method/amazon-pay.svg')" alt="amazon_pay_banner" class="img-fluid footer-payment-icon" /></li>
							<li v-if="settings.after_pay_banner"><img :src="getUrl('public/images/payment-method/after-pay.svg')" alt="after_pay_banner" class="img-fluid footer-payment-icon" /></li>
							<li v-if="settings.payment_method_banner" class="full-payment-img"><img :src="settings.payment_method_banner" alt="payment_method_banner" class="img-fluid footer-payment-icon" /></li>
						</ul>
					</div>
				</div> </div
			><!-- /.container --> </div
		><!-- /.footer-bottom -->

		<div class="mb-bottom"></div>

		<div class="yoori--cookies" v-if="checkGDPR() && gdpr">
			<div class="cookie-content" v-html="settings.gdpr"> </div>
			<div class="cookie-btn">
				<button type="button" @click="setGDPR">{{ lang.accept_all }}</button>
			</div>
		</div>
		<div class="btnTOP"><span class="icon mdi mdi-name mdi-chevron-up"></span></div>
    <chat_system v-if="addons.includes('chat_system')"></chat_system>
	</footer><!-- /.footer-section -->
</template>

<script>
import chat_system from "../pages/addons/chat_system";

export default {
	name: "bottom",
  components: {
    chat_system
  },

  data() {
		return {
			gdpr: true
		};
	},
  mounted() {
    const scrollToTop = document.querySelector(".btnTOP");
    const showBTN = function() {
      if(window.scrollY > 300) {
        scrollToTop.style.opacity = 1;
        scrollToTop.style.transform = 'translateY(0px)';

      } else {
        scrollToTop.style.opacity = 0;
        scrollToTop.style.transform = 'translateY(100px)';
      }
    };
    document.addEventListener("scroll", () => {
      showBTN();
    });
    scrollToTop.addEventListener("click", function() {
      window.scroll({top: 0, behavior: 'smooth'});
    });

    var width = 0;
    window.onresize = () => {
      width = window.innerWidth > 0 ? window.innerWidth : screen.width;
      let selector = $(".sg-seller-product .sg-category-content.sg-filter");
      let feature_selector = $(".sg-feature-shop .sg-filter");
      if (width < 575) {
        if (selector.hasClass("list-view-tab")) {
          selector.removeClass("list-view-tab");
        }
        if (feature_selector.hasClass("list-view-tab")) {
          feature_selector.removeClass("list-view-tab");
        }
      } else {
        if (selector.hasClass("list_restore")) {
          selector.addClass("list-view-tab");
        }
        feature_selector.addClass("list-view-tab");
      }
    }
  },
  computed: {
		usefulLinks() {
			return this.settings.useful_links;
		},
		footerMenu() {
			return this.settings.footer_menu;
		},
	},
	methods: {
		checkGDPR() {
			return !localStorage.getItem("gdpr") && this.settings.gdpr_enable == 1;
		},
		setGDPR() {
			this.gdpr = false;
			return localStorage.setItem("gdpr", "1");
		},
		classObj() {
			return [this.settings.seller_system == 1 && !this.authUser ? "col-lg-2" : "col-lg-3"];
		}
	},
};
</script>
<style scoped>
 .global-list {
	list-style: disc;
	padding-left: 25px;
}
.address .global-list {
	list-style: none;
	padding-left: 0;
}
.address .global-list li p,
.address .global-list li a {
	padding-left: 30px;
}
</style>